Subject: Re: 1.5.11: execvp bug (XP)
From: Isaac Foraker <[email-masked]>
To: [email-masked]
Date: Wed, 08 Sep 2004 10:52:31 -0600

Okay, this is interesting.  I got rid of /usr/bin/perl, and copied 
perl5.8.5.exe back to perl.exe.  Then I tried the exact sequence you had 
below and it worked.  For some reason the /usr/bin/perl1 soft link works 
but the /usr/bin/perl soft link does not.  I'm at a loss.  Why can't I 
make /usr/bin/perl a soft link to /usr/bin/perl5.8.5?  Why does this 
only seem to affect certain systems?

Thanks,
IF

Igor Pechtchanski wrote:

>Well, I have XP SP1, and, as you saw, it worked.  Since I didn't *really*
>try it with 1.5.11, but rather with a self-built DLL from CVS, you might
>try the latest snapshot and see if that fixes your problem.  Otherwise, I
>had a WAG that it had to do with the presence of .exe in the symlink name
>and contents, but the guess didn't pan out for me -- it worked in all 4
>combinations.
>
>I don't believe you ever said whether the *exact* sequence of commands
>below worked for you or not.
>
>Ah, another possibly relevant point: I use perl 5.8.2-1...  Could you
>please try that?
>	Igor
>
>On Tue, 7 Sep 2004, Isaac Foraker wrote:
>
>  
>
>>#uname -a
>>CYGWIN_NT-5.1 xcoisaacf20 1.5.11(0.116/4/2) 2004-09-04 23:17 i686 unknown unknown Cygwin
>>
>>I tried this same experiment on a home PC, and it is not having the
>>problem. The major difference I can see is that the home PC has XP SP2
>>installed, and the work machine is still on Service Pack 1 (I have no
>>control over that). I'm trying to identify anything else different on
>>the work machine that could cause 1.5.11 to not work. I'm not having any
>>trouble with 1.5.10, so my group is sticking with that for now.
>>
>>Thanks,
>>IF
>>
>>Igor Pechtchanski wrote:
>>
>>    
>>
>>>Sorry, missed that.  Still, like CGF, I can't reproduce this:
>>>
>>>$ echo -e 'default:\n\tperl1 foo.pl' > Makefile
>>>$ echo -e '#!/usr/bin/perl1\n\n\nprint "Success.\\n"' > foo.pl
>>>$ ln -fs /usr/bin/perl /usr/bin/perl1
>>>$ make
>>>perl1 foo.pl
>>>Success.
>>>$ uname -a
>>>CYGWIN_NT-5.1 pechtcha 1.5.12(0.116/4/2) 2004-09-07 15:07 i686 unknown unknown Cygwin
>>>$
>>>
>>>There must be something peculiar to your installation.  Does the exact
>>>recipe above work for you?
>>>      
>>>

-- 
Isaac W. Foraker <[email-masked]>
Sr. Software Engineer, Xilinx, Longmont, CO 720.652.3918

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/